GNU bug report logs - #37080
[PATCH] Update emacs-org-recent-headings.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brian Leung <bkleung89@HIDDEN>; Keywords: patch; dated Mon, 19 Aug 2019 06:36:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 37080 <at> debbugs.gnu.org:


Received: (at 37080) by debbugs.gnu.org; 10 Sep 2019 04:24:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 10 00:24:57 2019
Received: from localhost ([127.0.0.1]:40852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7Xi5-0007rk-A2
	for submit <at> debbugs.gnu.org; Tue, 10 Sep 2019 00:24:57 -0400
Received: from mail-pl1-f196.google.com ([209.85.214.196]:35199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1i7Xi4-0007rW-0K
 for 37080 <at> debbugs.gnu.org; Tue, 10 Sep 2019 00:24:56 -0400
Received: by mail-pl1-f196.google.com with SMTP id s17so2970180plp.2
 for <37080 <at> debbugs.gnu.org>; Mon, 09 Sep 2019 21:24:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=4jyAA6Tr5g8Xsabefni+VtRyn7Mwj/yLHXvweMHHez8=;
 b=LuT5OQJEWfTih5w28fVeYdrFllesRnzuYgUSa0ZUqPJTWsJDLGYkYVp5lEfwJ19ClZ
 oqy8MmUz6pw67yssbOuQaRg82u6bDwZ2rjnQnQDojs5tMa7Fa0GpO/YfTpYGWOY7oLBA
 E9pMFohsxx0jVlU5ep9kopZBUBs7UJ3ZbpYozq7G/2LWKHYlHx7xkX2PXyswwZADHjDq
 d4xNT5l36+HsdszewvXN/qJ3gBEVaiNNU4e1qBQmFtURoPentgKGpKTX9DpWrMRfwstJ
 cyah4ZlgqT80VUX7fuAQcNhxbgIWY4rc8JIYLRHK21/N1z2/L7VKShHtNU3/4vhpqAJ9
 vvIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=4jyAA6Tr5g8Xsabefni+VtRyn7Mwj/yLHXvweMHHez8=;
 b=hO/s5slw6VBsOhVNpjZbH5mv6ElMcKPGGgc7p5aTGRFClCZOIggEDlAgSJ5U65xUFo
 j8xCeV50R/+UqDuEcpLckaHJa+ZDY7XEsHjifOrfTKZy3uWssB5l9HQ1YnBB7Z4LVlyp
 eI/ax+3A/Plo5chmaiDo6M+NNDBfRLGV1QjvoBx1k/BfLg/Gve/eT18KetPJkD+i0ofW
 iPY44S3I3nk+ipLX+gdlqM3Ouw7lB02OWgdQNNwa70tp7pwDLCvHKbPzR/pIewUHE8hI
 6KrKmAT03p31BYfvwFVSzrYS1YP5r7NqnQmDkC3bPgG1kM7SscsBheraQ0gufD+zQuU0
 bzQQ==
X-Gm-Message-State: APjAAAUWphuDIBR0bi0mUW20/DlEBJsjgyGXdyYPX1cJMtrVoaUog7er
 pEeM1mbjqoQRqGllIFo39AJkP4ga
X-Google-Smtp-Source: APXvYqwhGhKKTKUYX+kdb0wyaq4TxN44NXht9b7GT5LBDHD/tXiLiH2L0OJvIouqCj7XUsQGFTcxvQ==
X-Received: by 2002:a17:902:b691:: with SMTP id
 c17mr28655418pls.265.1568089490073; 
 Mon, 09 Sep 2019 21:24:50 -0700 (PDT)
Received: from x200 ([240f:c7:38e9:1:314b:485c:9ba4:72c6])
 by smtp.gmail.com with ESMTPSA id d5sm20342610pfa.180.2019.09.09.21.24.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Sep 2019 21:24:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Brian Leung <bkleung89@HIDDEN>
Subject: Re: [bug#37080] [PATCH] Update emacs-org-recent-headings.
References: <CAAc=MEycq2ivBcsxBBSk24LfQpt=SS2=guU9YfZnDL9_G--G6w@HIDDEN>
 <87lfverjcq.fsf@HIDDEN>
 <CAAc=MEy6Va6Ln=5Lpr1b_m+1A-N+HvdK0u2ORzyRf7pcRFmbiA@HIDDEN>
Date: Tue, 10 Sep 2019 13:24:44 +0900
In-Reply-To: <CAAc=MEy6Va6Ln=5Lpr1b_m+1A-N+HvdK0u2ORzyRf7pcRFmbiA@HIDDEN>
 (Brian Leung's message of "Tue, 27 Aug 2019 18:52:49 +0200")
Message-ID: <87tv9ksrqr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37080
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 37080 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Brian,

Brian Leung <bkleung89@HIDDEN> writes:

> Hi Ludovic,
>
> The patches haven't been applied upstream. The upstream maintainer doesn't
> review PRs in a timely manner, so I thought it might be worth submitting
> the patch here.
>
> Thanks,
> Brian
>
> On Tue, Aug 27, 2019 at 12:30 PM Ludovic Court=C3=A8s <ludo@HIDDEN> wrot=
e:
>
>> Hi Brian,
>>
>> Brian Leung <bkleung89@HIDDEN> skribis:
>>
>> > The version of emacs-org-recent-headings on Guix doesn't work correctly
>> for
>> > people with Helm installed. I submitted patches to the upstream
>> maintainer
>> > of emacs-org-recent-headings. Attached is a Guix patch incorporating t=
he
>> > changes.
>>
>> Have these patches been applied upstream?
>>
>> Since we=E2=80=99re building from an upstream commit, we might just as w=
ell wait
>> until the changes are available upstream.
>>
>> Thanks,
>> Ludo=E2=80=99.

+1, especially since the patches submitted upstream are still a WIP, AFAICT.
(see: https://github.com/alphapapa/org-recent-headings/issues/11).

Let's wait until a conclusion for a fix is reached and merged upstream
before we continue.

Thanks for your efforts in investigating the problem and working on a fix.

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#37080; Package guix-patches. Full text available.

Message received at 37080 <at> debbugs.gnu.org:


Received: (at 37080) by debbugs.gnu.org; 27 Aug 2019 21:40:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 27 17:40:37 2019
Received: from localhost ([127.0.0.1]:49503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2jCf-0001YY-CA
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 17:40:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bkleung89@HIDDEN>) id 1i2jCe-0001YI-71
 for 37080 <at> debbugs.gnu.org; Tue, 27 Aug 2019 17:40:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37634)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bkleung89@HIDDEN>) id 1i2jCX-0002Jx-Ol
 for 37080 <at> debbugs.gnu.org; Tue, 27 Aug 2019 17:40:31 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=45096 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <bkleung89@HIDDEN>) id 1i2jCX-00063m-5q
 for 37080 <at> debbugs.gnu.org; Tue, 27 Aug 2019 17:40:29 -0400
Resent-To: 37080 <at> debbugs.gnu.org
Resent-From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Resent-Date: Tue, 27 Aug 2019 23:40:27 +0200
Resent-Message-ID: <87lfvemgms.fsf@HIDDEN>
Received: from solo.fdn.fr ([unix socket])
 by solo (Cyrus 2.5.10-Debian-2.5.10-3.2) with LMTPA;
 Tue, 27 Aug 2019 18:53:30 +0200
X-Sieve: CMU Sieve 2.4
Received: by solo.fdn.fr (Postfix)
 id 20BBBD0D44; Tue, 27 Aug 2019 18:53:30 +0200 (CEST)
Received: from eggs.gnu.org (eggs.gnu.org [IPv6:2001:470:142:3::10])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (Client did not present a certificate)
 by solo.fdn.fr (Postfix) with ESMTPS id EEF42D0D41
 for <ludovic.courtes@HIDDEN>; Tue, 27 Aug 2019 18:53:29 +0200 (CEST)
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33538)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bkleung89@HIDDEN>) id 1i2eim-0007bD-De
 for ludovic.courtes@HIDDEN; Tue, 27 Aug 2019 12:53:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51085)
 by fencepost.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <bkleung89@HIDDEN>) id 1i2eim-0005RT-6q
 for ludo@HIDDEN; Tue, 27 Aug 2019 12:53:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bkleung89@HIDDEN>) id 1i2eil-0007aa-6j
 for ludo@HIDDEN; Tue, 27 Aug 2019 12:53:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from mail-qt1-x844.google.com ([2607:f8b0:4864:20::844]:45536)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <bkleung89@HIDDEN>) id 1i2eil-0007aB-1r
 for ludo@HIDDEN; Tue, 27 Aug 2019 12:53:27 -0400
Received: by mail-qt1-x844.google.com with SMTP id k13so21928679qtm.12
 for <ludo@HIDDEN>; Tue, 27 Aug 2019 09:53:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=QljBkzu9udI8VtV4fFk+aCTJpBmequE4xfdHdqwJ+TY=;
 b=am8m3UOqcUQQSBE2qok4BHSArgBnNUT/r7SAgeDch6eSolP/+L4G21gXtvWMpRGC9V
 CsHrhOGmJgJMjHMsbB1TIqy/EptD7lrOk31A+G+dJ8Ui+CW8u61Y7Ch6VpwJ02fzjt8w
 wUjL2AocthYoU2VrvaZ21nF+LFVToVbmcQbZ+km/rOcq92HIqITgRn8OY2FIDavo/6WG
 gJpMf/D2oc5TD1tl9LhNfLIUnaMlTjtx2/7DWS7u1HRVyC3G+BAkDFF6oamhHSpbENdN
 ZgBYFauvsEeEgcvAj87Ib42RZgq9xJs3rJJG58XKEqFWNeLj+MBL8vp4VkblfiGq9T+p
 +opg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=QljBkzu9udI8VtV4fFk+aCTJpBmequE4xfdHdqwJ+TY=;
 b=ivyCwFs+Sd0YHhzRZYnKOiJQ2vulcOKkQizDgcZQDMtb15TJIsU51krPmMOjJHQshX
 3kB3Y+Zhq2IYNQJZnztvNRExvBRIDICIiMP0RgQS3lE4rKclFR1hHFYR2hmsmVLlCtz3
 wOnAdNpAe+a4WKXTjYbFDjPxR26Jtf4xH/sTjb4miujThYD/mvrx1QR8yzyoZNO/bcKG
 uFF+vTp27T+FxxC7ars9pl5gMOBELyXY1NZPHDWdgH+9ouiQUZaJebtRprU1hFEJRLru
 UyXvoaoCEGFDy19JB5PaeJPzgiF/DEP2uM10Aow+WjiaK2zRy0OdLHll6G3lCjwSavYI
 nxlw==
X-Gm-Message-State: APjAAAWiSBFsmMprv1KcVAiykzm80ZOTUdpnneqXBVUAn1jpfXR3Fw+Z
 y46gOZAXqfeGkeJXN65cZyrfjtzLmeyTcBCdoNZcWQ==
X-Google-Smtp-Source: APXvYqx32oznUDMxxw3fVWWce+N8Xn+sRFWd6Ay1/CtCAgXpjtQ+Gq3KtwAQUd8SlH4Q9PD71J9k/O3/c4S1/oSmi+E=
X-Received: by 2002:ad4:5570:: with SMTP id w16mr21016990qvy.212.1566924805667; 
 Tue, 27 Aug 2019 09:53:25 -0700 (PDT)
MIME-Version: 1.0
References: <CAAc=MEycq2ivBcsxBBSk24LfQpt=SS2=guU9YfZnDL9_G--G6w@HIDDEN>
 <87lfverjcq.fsf@HIDDEN>
In-Reply-To: <87lfverjcq.fsf@HIDDEN>
From: Brian Leung <bkleung89@HIDDEN>
Date: Tue, 27 Aug 2019 18:52:49 +0200
Message-ID: <CAAc=MEy6Va6Ln=5Lpr1b_m+1A-N+HvdK0u2ORzyRf7pcRFmbiA@HIDDEN>
Subject: Re: [bug#37080] [PATCH] Update emacs-org-recent-headings.
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000006e7e1405911c1c46"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::844
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 37080
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--0000000000006e7e1405911c1c46
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Ludovic,

The patches haven't been applied upstream. The upstream maintainer doesn't
review PRs in a timely manner, so I thought it might be worth submitting
the patch here.

Thanks,
Brian

On Tue, Aug 27, 2019 at 12:30 PM Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Hi Brian,
>
> Brian Leung <bkleung89@HIDDEN> skribis:
>
> > The version of emacs-org-recent-headings on Guix doesn't work correctly
> for
> > people with Helm installed. I submitted patches to the upstream
> maintainer
> > of emacs-org-recent-headings. Attached is a Guix patch incorporating th=
e
> > changes.
>
> Have these patches been applied upstream?
>
> Since we=E2=80=99re building from an upstream commit, we might just as we=
ll wait
> until the changes are available upstream.
>
> Thanks,
> Ludo=E2=80=99.
>

--0000000000006e7e1405911c1c46
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Ludovic,<div><br></div><div>The patches haven&#39;t bee=
n applied upstream. The upstream maintainer doesn&#39;t review PRs in a tim=
ely manner, so I thought it might be worth submitting the patch here.</div>=
<div><br></div><div>Thanks,</div><div>Brian</div></div><br><div class=3D"gm=
ail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Tue, Aug 27, 2019 at 12=
:30 PM Ludovic Court=C3=A8s &lt;<a href=3D"mailto:ludo@HIDDEN" target=3D"_=
blank">ludo@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quot=
e" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204)=
;padding-left:1ex">Hi Brian,<br>
<br>
Brian Leung &lt;<a href=3D"mailto:bkleung89@HIDDEN" target=3D"_blank">bk=
leung89@HIDDEN</a>&gt; skribis:<br>
<br>
&gt; The version of emacs-org-recent-headings on Guix doesn&#39;t work corr=
ectly for<br>
&gt; people with Helm installed. I submitted patches to the upstream mainta=
iner<br>
&gt; of emacs-org-recent-headings. Attached is a Guix patch incorporating t=
he<br>
&gt; changes.<br>
<br>
Have these patches been applied upstream?<br>
<br>
Since we=E2=80=99re building from an upstream commit, we might just as well=
 wait<br>
until the changes are available upstream.<br>
<br>
Thanks,<br>
Ludo=E2=80=99.<br>
</blockquote></div>

--0000000000006e7e1405911c1c46--




Information forwarded to guix-patches@HIDDEN:
bug#37080; Package guix-patches. Full text available.

Message received at 37080 <at> debbugs.gnu.org:


Received: (at 37080) by debbugs.gnu.org; 27 Aug 2019 10:30:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 27 06:30:47 2019
Received: from localhost ([127.0.0.1]:47760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2YkR-0002X9-8n
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 06:30:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i2YkP-0002Wu-Fy
 for 37080 <at> debbugs.gnu.org; Tue, 27 Aug 2019 06:30:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55914)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i2YkK-0005GC-1M; Tue, 27 Aug 2019 06:30:40 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=47432 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i2YkB-0007UB-To; Tue, 27 Aug 2019 06:30:35 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Brian Leung <bkleung89@HIDDEN>
Subject: Re: [bug#37080] [PATCH] Update emacs-org-recent-headings.
References: <CAAc=MEycq2ivBcsxBBSk24LfQpt=SS2=guU9YfZnDL9_G--G6w@HIDDEN>
Date: Tue, 27 Aug 2019 12:30:29 +0200
In-Reply-To: <CAAc=MEycq2ivBcsxBBSk24LfQpt=SS2=guU9YfZnDL9_G--G6w@HIDDEN>
 (Brian Leung's message of "Mon, 19 Aug 2019 08:34:39 +0200")
Message-ID: <87lfverjcq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37080
Cc: 37080 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Brian,

Brian Leung <bkleung89@HIDDEN> skribis:

> The version of emacs-org-recent-headings on Guix doesn't work correctly f=
or
> people with Helm installed. I submitted patches to the upstream maintainer
> of emacs-org-recent-headings. Attached is a Guix patch incorporating the
> changes.

Have these patches been applied upstream?

Since we=E2=80=99re building from an upstream commit, we might just as well=
 wait
until the changes are available upstream.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#37080; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Aug 2019 06:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 19 02:35:34 2019
Received: from localhost ([127.0.0.1]:59073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzbGP-0003Ma-UC
	for submit <at> debbugs.gnu.org; Mon, 19 Aug 2019 02:35:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:41679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bkleung89@HIDDEN>) id 1hzbGO-0003MN-73
 for submit <at> debbugs.gnu.org; Mon, 19 Aug 2019 02:35:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53492)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <bkleung89@HIDDEN>) id 1hzbGK-0001VS-Aw
 for guix-patches@HIDDEN; Mon, 19 Aug 2019 02:35:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bkleung89@HIDDEN>) id 1hzbGI-00045J-5b
 for guix-patches@HIDDEN; Mon, 19 Aug 2019 02:35:28 -0400
Received: from mail-qk1-x736.google.com ([2607:f8b0:4864:20::736]:43974)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <bkleung89@HIDDEN>) id 1hzbGC-000405-HS
 for guix-patches@HIDDEN; Mon, 19 Aug 2019 02:35:22 -0400
Received: by mail-qk1-x736.google.com with SMTP id m2so543771qkd.10
 for <guix-patches@HIDDEN>; Sun, 18 Aug 2019 23:35:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=r61ii6j0n884Zl4J7F/KKSyGWRkh2SUtBtIs7GqIf74=;
 b=tHr3EHzH0hm83FxjBHSfUS23CbxQg2YWsweIrmLScdcNyHlhNSeRsVVdX0ztEGsUxT
 MuvXkml5S6JSWcBRMfCDBWNvtVAIACK0Z9ES+YyoIUFLQn4ingkMikgSK6ZvWJzy/YW2
 j4Vvni+kA/Sz41O+rkrJkLMAkDsUPJHMaRMRoi4urru0ME1cvqnNxHUsqcIqQrK40bXv
 SSgLACeepuSJxbvUDv89BotlJz3nq0HJ42H7+ESaJQ62Tbjm2SCi3Xcwfbf1qpy9mu7b
 cZ8fx3ni+SXaSTjULwyBOgRosNXyE6lVOkzv8mFsHNqUVWM+z28Q35LnMb07puBsTGN7
 /WKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=r61ii6j0n884Zl4J7F/KKSyGWRkh2SUtBtIs7GqIf74=;
 b=ZDlO9aadolomAhswQp+DQ6Y04wdvSExqp9d9IFxkw6alkEya6MGDBrWSzrxP2mPolO
 rKwRVc93vi3zWtaERunH4NyFpwyXaQb38niGICK563RkGBckfpbYkqE5bvJAtd4++3Kx
 lqPpQCQxDDhyXi05ztvjXNb8Sff4R93YTtgiwFpm/NDRh2mai+ZPdZppx0wKntTCUk+E
 cWijqqTjCOdQzKGUYouqHhhsWxc2cnDvno/DV+y5Hm0BU7lMtM9/vTvbOWU0YEf7aetf
 0RC9TV/tm0MX2aCBZGOcYdbzPa2a/y5rE6kBpVEH2P5zl3XECiUQu4pMpMq6tD+IKNJm
 EMow==
X-Gm-Message-State: APjAAAU6GOdMyKxMTsKaYe+v34QMycY9jlmVIu3M8jFLrDVDWzpA/aOZ
 vdpBPmsz/x/x6Bb9bssd6f1bI4FDZhlHALaiwkLfvCDy
X-Google-Smtp-Source: APXvYqyhqkKXl/LwRXRPNuf2HY+bfpWnBJjJiQv8fjInZ5sdenLMfDCVuGMVV2jFnEScvFlpuB4eEd4D01UlOF6ebNs=
X-Received: by 2002:a37:f50a:: with SMTP id l10mr4090796qkk.196.1566196515920; 
 Sun, 18 Aug 2019 23:35:15 -0700 (PDT)
MIME-Version: 1.0
From: Brian Leung <bkleung89@HIDDEN>
Date: Mon, 19 Aug 2019 08:34:39 +0200
Message-ID: <CAAc=MEycq2ivBcsxBBSk24LfQpt=SS2=guU9YfZnDL9_G--G6w@HIDDEN>
Subject: [PATCH] Update emacs-org-recent-headings.
To: guix-patches@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000fb09700590728a55"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::736
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--000000000000fb09700590728a55
Content-Type: multipart/alternative; boundary="000000000000fb096a0590728a53"

--000000000000fb096a0590728a53
Content-Type: text/plain; charset="UTF-8"

The version of emacs-org-recent-headings on Guix doesn't work correctly for
people with Helm installed. I submitted patches to the upstream maintainer
of emacs-org-recent-headings. Attached is a Guix patch incorporating the
changes.

--000000000000fb096a0590728a53
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">The version of emacs-org-recent-headings on Guix doesn&#39=
;t work correctly for people with Helm installed. I submitted patches to th=
e upstream maintainer of emacs-org-recent-headings. Attached is a Guix patc=
h incorporating the changes.<br></div>

--000000000000fb096a0590728a53--

--000000000000fb09700590728a55
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-gnu-emacs-org-recent-headings-Update-to-0.1-1.6336a0.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-emacs-org-recent-headings-Update-to-0.1-1.6336a0.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jzi0vcr80>
X-Attachment-Id: f_jzi0vcr80
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--000000000000fb09700590728a55--




Acknowledgement sent to Brian Leung <bkleung89@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37080; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.